#ifndef __MERGE_H__
#define __MERGE_H__
#include <string>
#include <vector>
#include "image_types.h"

namespace s3d_merge
{

enum MergeType
{
    MERGE_LIGHTEN,
    MERGE_AVERAGE
};

FloatImage *
MergeNoAlign(const std::vector<std::string> &image_filenames,
             const FloatImage *dark_frame,
             MergeType merge_type);

FloatImage *
MergeAlignStars(const std::vector<std::string> &image_filenames,
                 const FloatImage *dark_frame,
                 MergeType merge_type);

}
#endif
